#include <bits/stdc++.h>
using namespace std;

int main(){
int t,n,m,br=0;;
cin>>t;
vector <pair<int, int> > v;
for(int i=0;i<t;i++){
cin>>n>>m;
v.push_back(make_pair(n,m));
}	
for(int i=0;i<v.size();i++){
if(v[i].first==v[i].second){
for(int i=0;i<v[i].first;i++){
for(int j=0;j<v[i].second;j++){
if(i==0 && j==0){
cout<<1;
}
while(br!=v[i].second-j && j>0){
cout<<0;
br++;
if(br==v[i].second-j){
while(br<v[i].second-j){
cout<<1;
br++;
}
}
if(j==v[i].second){
br=0;
}
}
}
}
}
}
	
	
	
return 0;
}